[package]
name = "netutils"
version = "0.1.0"
edition = "2021"

[dependencies]
yggdrasil-abi.workspace = true
runtime.workspace = true
logsink.workspace = true
hclient.workspace = true
cross.workspace = true

log.workspace = true
bytemuck.workspace = true
serde_json.workspace = true
serde.workspace = true
thiserror.workspace = true
clap.workspace = true
clap-num.workspace = true
rand.workspace = true
toml.workspace = true
http.workspace = true

[lib]
path = "src/lib.rs"

[[bin]]
name = "netconf"
path = "src/netconf.rs"

[[bin]]
name = "dhcp-client"
path = "src/dhcp_client.rs"

[[bin]]
name = "nc"
path = "src/netcat.rs"

[[bin]]
name = "http"
path = "src/http.rs"

[[bin]]
name = "dnsq"
path = "src/dnsq.rs"

[[bin]]
name = "ping"
path = "src/ping.rs"

[[bin]]
name = "ncap"
path = "src/ncap.rs"
